OS X El Capitan on Unsupported Macs

Discussion in 'OS X El Capitan (10.11)' started by TMRJIJ, Jun 5, 2015.

Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.
  1. ADDvanced macrumors member

    ADDvanced

    Joined:
    Nov 8, 2015
    #1001
    Huge thread. Has anyone been able to get El Cap installed on a 6.1 iMac? I have a 24" 2.16ghz iMac with a 7600GT in my garage, would like to get it going.

    Cheers!
     
  2. zeepeter macrumors newbie

    Joined:
    Dec 13, 2017
    Location:
    barcelona
    #1002
    After a lot of hacking and twitching finally got 10.11.6 running on a 2.1 MBP. Not macOS Extractor nor MacPostFactor
    only the 3rd method and combining info from 1st and page 21 post did the thing. Great info. But...
    SIP enabled. Had to make a recovery partition by hand with all the same changes that were made to the system. Now recovery boots but when trying to disable SIP it doesn't seem to remember what system it came from. A message I should do csrutil from the recovery partition although I'm already in there... Don't know how to have them "linked" again.
    Need SIP disabled to enhance things a bit: system-animations really slow, no sound, no brightness-adjust...
    Anyone knows the best set of kext for this MBP?

    Nombre del modelo: MacBook Pro

    Identificador del modelo: MacBookPro2,1

    Nombre del procesador: Intel Core 2 Duo

    Velocidad del procesador: 2,33 GHz

    GPU:
    Modelo de chipset: ATY,RadeonX1600

    Tipo: GPU

    Bus: PCIe

    Anchura de canal PCIe: x16

    VRAM (total): 6 MB

    Maybe some kexts that should be deleted? Would be very grateful for some tips. Did a MacPro 1.1 some year ago and it was so much easier, so I thought I'd give it a try, but it has cost a lot of time, learning I guess :)
     
  3. jdocdp macrumors member

    Joined:
    Mar 9, 2017
    #1003
    Hi guys.

    Just a quick question. I came across osxhackers.net and I'd really like to install a newer version of Mac OS as I've a MacBook 4,1 running 10.7 Lion.

    In your experience, which version should I go for? Meaning, with which version have the MacBooks 4,1 worked best? Or at least, have had the least issues with?

    I wish I could go for Sierra but practically at this point I could use any newer version of Mac OS.

    Thank you very much for your time.
     
  4. jbarley macrumors 68040

    jbarley

    Joined:
    Jul 1, 2006
    Location:
    Vancouver Island
  5. jdocdp macrumors member

    Joined:
    Mar 9, 2017
    #1005
    Hi, thank you for your response.

    Is it because of the part in the OP that states: "older GPU (GMA 950, X3100, X1600, X1300, X1900, 7300gt, etc.) Graphics Acceleration on Mavericks, Yosemite, and El Capitan are not supported yet." ?

    MacBooks 4,1 have the GMA X3100 one, does that mean I cannot upgrade?

    Because on http://osxhackers.net/elcapitan.html it clearly states that MacBook 4,x is supported.

    Do I miss something? :/
     
  6. MaxGoblin macrumors newbie

    Joined:
    Dec 21, 2017
    Location:
    UA
    #1006
    Hi all. Need information about installing El Capitan on iMac early 2006.
    Model A1174. Processor Core 2 Duo 2.16GHz (T7400), 4Gb RAM. GPU X1600.
    EFI changed from 4.1 to 5.1.

    Is it possible to run on this hardware this operating system?
     
  7. zappaesque macrumors member

    zappaesque

    Joined:
    Jun 10, 2017
    #1007
    Follow the method on this post to install refind on a usb drive and you can disable SIP by booting from it- https://forums.macrumors.com/thread...nsupported-macs.1889851/page-37#post-24695866

    You'll only have to do this once (until the PRAM gets reset) and it'll boot with SIP disabled. The recovery partition doesn't work on unsupported machines.

    --- Post Merged, Dec 24, 2017 ---
    Using MacPostFactor, you can install Mountain Lion with almost full graphics support, and none of the sleep/brightness/graphics issues that Mavericks and on would have on the 4,1.
    --- Post Merged, Dec 24, 2017 ---
    It's supported, but without graphics acceleration. Sleep and brightness control also don't work.
     
  8. jdocdp macrumors member

    Joined:
    Mar 9, 2017
    #1008
    Thank you.
     
  9. Macfry macrumors newbie

    Joined:
    Jan 18, 2018
    Location:
    Montana
    #1009
    Hello, I'm new to the forum. I want to
    --- Post Merged, Jan 18, 2018 ---
    Hello, I'm new to the forum. I want to instal El Capitan (OS X El Capitan (10.11) on Unsupported Macs)
    on a early 2008 White MacBook 4,1 with 4 GB RAM and a 240 Gig SSD. Any warnings or rabbit holes to fall into? I'm going to install on an older 90 GB Firewire 400 drive and see if I can make it happen. All suggestions and or advice is welcome. Thanks
     
  10. FromPEI macrumors newbie

    FromPEI

    Joined:
    Jan 18, 2018
    #1010
    --- Post Merged, Jan 18, 2018 ---
    Hey all. New here and new to mac. Been trying to install el capitan on unsupported mac and can't seem to get it going. Using MacPostFactor and sent the mcpfLogComp to them and haven't received a reply. Just trying to figure out what i'm doing wrong. Any help? Thanks. I have tryies other methods still without success.
     
  11. zeepeter macrumors newbie

    Joined:
    Dec 13, 2017
    Location:
    barcelona
    #1011
    Not a lot of info: what unsupported mac? What happens?
    Did you try method 3? (See page 21 also) I got it working on MBP 2,1 that way...
     
  12. FromPEI macrumors newbie

    FromPEI

    Joined:
    Jan 18, 2018
    #1012
    It's a late 2006 Macbook 2,1 core 2 duo with 2 gig of ram. I have a clean el capitan install on an external drive. I replace the 2 bios files with the ones with Piker Alpha. My mac starts to boot from the drive but then just boots up normally to the internal drive. I tried MacPostFactor and i get an error which I have attached. When they say I need the install el capitan beta 1 or higher, does that mean 10.10.1? Because I am using the El Capitan I downloaded from App store.
     

    Attached Files:

  13. Macfry macrumors newbie

    Joined:
    Jan 18, 2018
    Location:
    Montana
    #1013
    Regarding: B: Start Patching - 5. "and drag the old boot.efi in the window" ??? Drag it where? thanks
     
  14. jbarley macrumors 68040

    jbarley

    Joined:
    Jul 1, 2006
    Location:
    Vancouver Island
    #1014
    Into the Terminal window, to complete the "sudo chflags nouchg" command.
     
  15. FromPEI macrumors newbie

    FromPEI

    Joined:
    Jan 18, 2018
    #1015
    Hello all. I have recently successfully installed el capitan on an unsupported macbook, late 2006 using method 3 in the unsupported mac thread. I'm having a problem getting messages to work. I get a notification telling me to contact apple support and give them the 12 digit number on my screen. I've done that several times and they have unblocked it but it still does't log in. Is this due to SIP being disabled. Apple had been quite helpful and are themselves frustrated. At first i didn't have a serial number. i used Blank Board Serializer to inject the serial number successfully. Now I am able to use FaceTime on 10.7.5 which i wasn't before. But when i use my hd with el capitan it still doesn't work. Any ideas? Other than that el capitan works fine and Koodos to the all involved in reviving my old mac.

    On another note, if anyone know how to install Messages onto Lion, than i will return to that OS.

    Thanks.
    Michael
     
  16. zappaesque macrumors member

    zappaesque

    Joined:
    Jun 10, 2017
    #1016
    The latest security update (2018-001) for El Capitan will cause a boot loop, and there is no way to fix the issue as these older Macbooks' processors do not support the new kernel. Early, unsupported Mac Pros have the same issue. It appears that we've reached the end of the line with these old machines, as far as macOS is concerned.
     
  17. AwesomeQ macrumors newbie

    AwesomeQ

    Joined:
    Jan 31, 2018
    #1017
    Will this work on a white unibody MacBook from early 2008? Like this one:
    [​IMG]Thanks!
     
  18. jbarley macrumors 68040

    jbarley

    Joined:
    Jul 1, 2006
    Location:
    Vancouver Island
    #1018
    Try reading the first post in this thread, it lists the units that will work.
     
  19. Macfry macrumors newbie

    Joined:
    Jan 18, 2018
    Location:
    Montana
    #1019
    What if you don't install the latest security update? I was just getting ready to try to install El Capitam on an early 2008 MB 4,1. Are you saying don't waste my time? Thanks!
     
  20. zappaesque, Jan 31, 2018
    Last edited: Jan 31, 2018

    zappaesque macrumors member

    zappaesque

    Joined:
    Jun 10, 2017
    #1020
    Not necessarily. Security-wise, it's probably the end of the line unless someone comes up with a way to install the update, with all of the security fixes for Spectre/Meltdown intact, without bricking older Macs. You can install El Cap and skip the update, or, if Apple issues (and you download) the El Cap install WITH the update, install it and replace the newer kernel with one from an older El Cap install, and THEN follow the steps in method 3. I had to copy the older kernel from my Macbook 4,1 to my Mac Pro 1,1 running El Cap after installing the latest update to get it to boot again.

    Either way (at least with Macbooks 2,1-4,1 and other older MBPs and Airs), the security end-of-the-line has been reached unless someone can fix it like I mentioned above.

    See the posts from here and on for more info about the new update- https://forums.macrumors.com/thread...s-x-el-capitan.1890435/page-151#post-25737413

    EDIT: Reading further into the thread linked above, there may be a slight chance that the update would work on these old machines, as it seems that the Xeons in the old Mac Pros aren't affected by Spectre/Meltdown. C2Ds are, however, and it could be that the new kernel is trying to do things that the Xeons can't handle. I'm not willing to experiment with this theory at this point, though.
     
  21. AwesomeQ macrumors newbie

    AwesomeQ

    Joined:
    Jan 31, 2018
    #1021
    It's not very specific. My Mac isn't even on the list of supported or unsupported Macs. I did read the first post in the thread, thank you very much.
     
  22. jbarley macrumors 68040

    jbarley

    Joined:
    Jul 1, 2006
    Location:
    Vancouver Island
  23. AwesomeQ macrumors newbie

    AwesomeQ

    Joined:
    Jan 31, 2018
    #1023
    Yes. That is it. I should have noticed that. Mine's a 4,1.
     
  24. sctv45sr macrumors newbie

    Joined:
    Feb 7, 2018
    #1024
    Can you just download a copy of OS X from the internet instead of the Mac App Store , as right now there’s no way I can download Yosemite from the Mac App Store . It has only the newest version of Mac OS .
     
  25. skyfly555 macrumors member

    skyfly555

    Joined:
    Apr 26, 2016
    #1025
    Mr. @zappaesque Thank you for supporting people on this thread. The reality. you know much better than me my own method 3 :)) Because you've installed El Cap on more machines than me. Great!!
     
Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.

Share This Page